@import '{}/imports/ui/stylesheets/variables/index';

.alert-messages {
	left: 50%;
	position: fixed;
	top: $navbar-height;
	width: 100%;
	z-index: $zindex-navbar-fixed - 1;
	transform: translateX(-50%);
}

$message-fade-duration: 0.1s;

.alert-message {
	border-radius: 0;
	border-top: 0;
	margin: 0;
	opacity: 0;
	transition: opacity $message-fade-duration;

	&.is-faded-in {
		opacity: 1;
		transition: opacity $message-fade-duration;
	}
}

.alert-messages-spacer {
	height: 0;
	transition: height $message-fade-duration;
}
